petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexDistributeOwnership

Compute owner information for shared points. This basically gets two-sided for an SF.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexDistributeOwnership(DM dm, PetscSection rootSection, IS *rootrank, PetscSection leafSection, IS *leafrank)

Collective on DM

### Input Parameter

dm -The DM

### Output Parameters

| rootSection | - The number of leaves for a given root point
| rootrank | - The rank of each edge into the root point
| leafSection | - The number of processes sharing a given leaf point
| leafrank | - The rank of each process sharing a leaf point

### See Also

DMPlexCreateOverlap()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages